package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.Api;
import lombok.Data;

import java.util.List;

/**
 * @Description : 甘特图分页查询参数
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-11-22
 * @Modify:
 **/
@Data
@Api("甘特图分页查询参数")
public class GanttPager extends Pager {
    public static class SortData {
        // 排序对象
        private String field;
        // 排序类型，1为升序，0为降序
        private Boolean ascending;

        public String getField() {
            return field;
        }

        public void setField(String field) {
            this.field = field;
        }

        public Boolean getAscending() {
            return ascending;
        }

        public void setAscending(Boolean ascending) {
            this.ascending = ascending;
        }
    }
    private String filter;
    private List<SortData> sorts;
}
